Instalar Fuzzy Finder (FZF) para usar en VIM

¿Estás cansado de perder tiempo buscando archivos en NerdTree en Vim y quieres una manera mas rapida? La solución es Fuzzy Finder, ¿Pero qué es Fuzzy Finder? Bueno, es un plugin para Vim que te permite buscar archivos y texto de una manera rápida y eficiente. Olvídate de tener que navegar a través de tus directorios de archivos uno por uno, con Fuzzy Finder, simplemente escribe unas pocas letras de

Compartiendo el portapapeles entre Vim en un servidor remoto y tu escritorio local

El compartir información entre un servidor remoto y nuestra computadora local es una tarea común cuando trabajamos con sistemas alojados en la nube o en servidores externos, sin embargo en muchos casos, si utilizamos editores de texto como Vim a través de conexiones SSH para modificar archivos directamente en el servidor, puede plantear desafíos cuando se trata de copiar y pegar texto entre nuestro escritorio local y el servidor remoto.

Instalar VIM y configurar el archivo vimrc

La guía se compone de dos partes, la primera es la compilación de VIM tanto en Debian y Ubuntu como en Fedora y CentOS, en ambas familias el procedimiento es el mismo solo que los paquetes que se requieren instalar varían. La primera duda que surge ¿Porque compilar VIM y no usar el que viene en los repositorios ya compilados? Normalmente, las versiones disponibles  en los repo de las diferentes

Error de Coc para iniciar Vim

Si luego de instalar coc da el siguiente error: [coc.nvim] build/index.js not found, please install dependencies and compile coc.nvim by: yarn install La solucion es bastante sencilla, simplemente debemos ir al directorio de coc que puede estar en las siguientes ubicaciones: cd ~/.vim/bundle/coc.nvim #or cd ~/.vim/plugged/coc.nvim/ Luego simplemente ejecutamos: yarn install Con lo anterior ya debería dejar de dar el error al iniciar. Alvaro De LeónAdministrador de Sistemas, Programador, Docente

Instalar la ultima version de VIM en Debian

De la mano del ultimo post sobre VIM me quedaba otro por solucionar, al utilizar Debian siempre viene de la mano de problemas de versiones, por políticas Debian solo incluye versiones probadas y seguras lo que hace que siempre sean versiones no tan nuevas y uno de los plugins que me recomendaban instalar no podía hacerlo porque requiere una versión de VIM mas nueva. Lo primero fue mezclar los repositorios

Problemas con Tabs en VIM en archivos Python y como solucionarlo

Como editor de texto en consola habitualmente uso nano, principalmente por costumbre, VI siempre me pareció complicado e innecesario aprender tantos atajos de teclado teniendo herramientas mas simples e intuitivas como nano, ya que soy pragmático y a la hora de elegir una herramienta siempre busco la más sencilla posible mientras cumpla con su cometido y nano comuple a la perfecion. Si embargo hace algunas semanas me crucé con un